Sample Plans
Create Sample Plan
POST
/
sample-plans
Create Sample Plan
curl --request POST \
--url https://vinmake-erp.onrender.com/sample-plans \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ms": "<string>",
"masterStyleId": "<string>",
"brand": "<string>",
"product": "<string>",
"gender": "<string>",
"category": "<string>",
"orderBy": "<string>",
"nguoi": "<string>",
"task": "<string>",
"status": "<string>",
"workStatus": "<string>",
"syncDate": "<string>",
"deadline": "<string>",
"donGia": "<string>",
"photo": "<string>",
"payMonth": "<string>"
}
'import requests
url = "https://vinmake-erp.onrender.com/sample-plans"
payload = {
"ms": "<string>",
"masterStyleId": "<string>",
"brand": "<string>",
"product": "<string>",
"gender": "<string>",
"category": "<string>",
"orderBy": "<string>",
"nguoi": "<string>",
"task": "<string>",
"status": "<string>",
"workStatus": "<string>",
"syncDate": "<string>",
"deadline": "<string>",
"donGia": "<string>",
"photo": "<string>",
"payMonth": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ms: '<string>',
masterStyleId: '<string>',
brand: '<string>',
product: '<string>',
gender: '<string>',
category: '<string>',
orderBy: '<string>',
nguoi: '<string>',
task: '<string>',
status: '<string>',
workStatus: '<string>',
syncDate: '<string>',
deadline: '<string>',
donGia: '<string>',
photo: '<string>',
payMonth: '<string>'
})
};
fetch('https://vinmake-erp.onrender.com/sample-plans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Body
application/json
Response
Successful Response
⌘I
Create Sample Plan
